SerializableBlobProxy (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.jdbc
Class SerializableBlobProxy

    java.lang.Object
      org.hibernate.engine.jdbc.SerializableBlobProxy

All Implemented Interfaces:
  Serializable, InvocationHandler

    public class SerializableBlobProxy

extends Object
implements InvocationHandler, Serializable

Manages aspects of proxying `Blobs` to add serializability.

See Also:
  Serialized Form

Method Summary
`static Blob` | `generateProxy(Blob blob)` Generates a SerializableBlob proxy wrapping the provided Blob object.
`static ClassLoader` | `getProxyClassLoader()` Determines the appropriate class loader to which the generated proxy should be scoped.
`Blob` | `getWrappedBlob()`
`Object` | `invoke(Object proxy, Method method, Object[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getWrappedBlob

    public Blob getWrappedBlob()

### invoke

    public Object invoke(Object proxy,
                         Method method,
                         Object[] args)
                  throws Throwable

  Specified by:
    `invoke` in interface `InvocationHandler`
  Throws:
    `Throwable`

### generateProxy

    public static Blob generateProxy(Blob blob)

  Generates a SerializableBlob proxy wrapping the provided Blob object.

  Parameters:
    `blob` - The Blob to wrap.
  Returns:
    The generated proxy.

### getProxyClassLoader

    public static ClassLoader getProxyClassLoader()

  Determines the appropriate class loader to which the generated proxy should be scoped.

  Returns:
    The class loader appropriate for proxy construction.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.